import { OnDestroy } from '@angular/core';
import { ActionSheetController, Platform } from '@ionic/angular';
import { TapValueEditorContainerComponent } from '@iotize/ionic';
import { AbstractVariable } from '@iotize/tap/data';
import * as i0 from "@angular/core";
export declare class TapVariablePushButtonComponent implements OnDestroy {
    actionSheetController: ActionSheetController;
    private platform;
    ctx: TapValueEditorContainerComponent;
    private _handleMouseUp?;
    onTouchStart(): void;
    onMouseDown(): void;
    onTouchEnd(): void;
    private _onTouchStartOrMouseDown;
    private _onTouchEndOrMouseUp;
    mouseDownValue?: number;
    mouseUpValue?: number;
    value: number;
    buttonText: string;
    size: string;
    color: string;
    icon?: string;
    iconPosition: string;
    fill?: string;
    expand?: string;
    strong: boolean;
    shape?: boolean;
    confirm: boolean;
    confirmMessage: string;
    editable: boolean;
    /**
     * @deprecated
     */
    set defineValueOnClick(v: number);
    set fieldError(err: Error);
    set variable(variable: AbstractVariable<any | any[]> | undefined);
    private destroyed;
    error?: Error;
    pendingSubmitValue: any;
    loading: boolean;
    _variable?: AbstractVariable<any>;
    constructor(actionSheetController: ActionSheetController, platform: Platform);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onClick(): Promise<void>;
    writeValue(valueToWrite: number): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TapVariablePushButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TapVariablePushButtonComponent, "tap-variable-push-button", never, { "mouseDownValue": "mouseDownValue"; "mouseUpValue": "mouseUpValue"; "value": "value"; "buttonText": "buttonText"; "size": "size"; "color": "color"; "icon": "icon"; "iconPosition": "iconPosition"; "fill": "fill"; "expand": "expand"; "strong": "strong"; "shape": "shape"; "confirm": "confirm"; "confirmMessage": "confirmMessage"; "editable": "editable"; "defineValueOnClick": "defineValueOnClick"; "fieldError": "fieldError"; "variable": "variable"; }, {}, never, never, false, never>;
}
